<xml></xml>

Saxon API for .NET |

# SequenceEnumerator Members

SequenceEnumerator overview

#### Public Instance Properties

Current | Return the current item in the sequence

#### Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
MoveNext | Move to the next item in the sequence
Reset | Reset the enumeration so that the next call of `MoveNext` will position the enumeration at the first item in the sequence
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

SequenceEnumerator Class | Saxon.Api Namespace